﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Windows.Threading;
using Xceed.Wpf.DataGrid;
using System.Diagnostics;

namespace BarclaysCapital.CR.PDC.Margin
{
    /// <summary>
    /// Interaction logic for CallAndAlertManager.xaml
    /// </summary>
    public partial class CallAndAlertManager : ScreenControl
    {
        private CallAndAlertManagerData _data;

        public CallAndAlertManager()
        {
            InitializeComponent();
        }

        public static string Header
        {
            get
            {
                return "Call & Alert Manager";
            }
        }

        public void SetData()
        {
            _data = new CallAndAlertManagerData();
            Dispatcher.BeginInvoke(DispatcherPriority.Background, (Action)UpdateAutoFilterValues);
        }

        private void UpdateAutoFilterValues()
        {
            var dgcvCalls = (DataGridCollectionView)dgcCalls.ItemsSource;
            Debug.Assert(dgcvCalls != null);
        }

        public IBindingList CallList
        {
            get
            {
                if (_data != null)
                {
                    return _data.CallList;
                }

                return new BindingList<CallAndAlertManagerData.Call>();
            }
        }
    }
}
